### Index

- flatTree (src/.../tree.data-source.ts)
- FormFactory (src/.../search.form.ts)
- initGenerator (src/.../generator.ts)
- isSelectionChange (src/.../tree.data-source.ts)

### src/lib/tree.data-source.ts

###

flatTree
`flatTree(tree, all)`

Parameters :

Name | Optional | Default value
tree | No |
all | No | `false`

Returns : `Array<Node<Data>>`

isSelectionChange
`isSelectionChange(obj: any)`

Parameters :

Name | Type | Optional
obj | `any` | No

Returns : `SelectionChange<T>`

### src/lib/search.form.ts

###

FormFactory
`FormFactory(injector: Injector, state, existingFormDefinition)`

Parameters :

Name | Type | Optional
injector | `Injector` | No
state |  | No
existingFormDefinition |  | No

Returns : `SearchForm`

### src/generators/init/generator.ts

###

initGenerator
`initGenerator(tree: Tree, options: InitGeneratorSchema)`

Parameters :

Name | Type | Optional
tree | `Tree` | No
options | `InitGeneratorSchema` | No

# results matching ""

# No results matching ""